Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class DiscountCreationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.ejb.EJBException
                              |
                              +--com.beasys.commerce.foundation.exception.SystemException
                                    |
                                    +--com.bea.commerce.ebusiness.discount.DiscountSystemException
                                          |
                                          +--com.bea.commerce.ebusiness.discount.mgmt.DiscountCreationException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class DiscountCreationException
extends DiscountSystemException

Indicates that a given discount could not be created. This system exception will be thrown by the discount managment service's `deploySet` method when a system level error occurs that prevents the discount from being created.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountSystemException
`DEFAULT_MSG_KEY, MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`DiscountCreationException(String messageKey, Exception exception)` Class constructor taking the key of the associated catalog message and an embedded exception.

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscountCreationException

    public DiscountCreationException(String messageKey,
                                     Exception exception)

  Class constructor taking the key of the associated catalog message and an embedded exception.

Parameters:
  `messageKey` - The associated catalog message key.
  `exception` - The embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved